PersonAuth required
updatePersonPartialPartially update a Person
PATCH
https://api.blueink.com/api/v2/persons/{personId}/Partially update a Person
PATCH/persons/:personId/
Partially update the Person with new data.
To add a new email or phone to the Person, include a ContactChannel in the 'channels' array without an 'id'.
To update an existing ContactChannel associated with the Person, include an 'id'. That existing ContactChannel will be updated with the new email or phone. This will update any live Bundles associated with the Person that are sending to that email (or phone).
If a ContactChannel does not include an 'id', but the email (or phone) matches an existing ContactChannel, then that ContactChannel will not be changed.
Request
Responses
- 200
- 400
- 404
The Person was updated
Bad Request
Not found response